<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>FindBugs (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FindBugs (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/FindBugs.html" target="_top">Frames</a></li>
<li><a href="FindBugs.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.quality</div>
<h2 title="Class FindBugs" class="title">Class FindBugs</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">org.gradle.api.tasks.SourceTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.quality.FindBugs</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&gt;, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, <a href="../../../../../org/gradle/api/tasks/util/PatternFilterable.html" title="interface in org.gradle.api.tasks.util">PatternFilterable</a>, <a href="../../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks">VerificationTask</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks">@CacheableTask</a>
public class <span class="strong">FindBugs</span>
extends <a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a>
implements <a href="../../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks">VerificationTask</a>, <a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&gt;</pre>
<div class="block">Analyzes code with <a href="http://findbugs.sourceforge.net">FindBugs</a>. See the <a href="http://findbugs.sourceforge.net/manual/">FindBugs Manual</a> for additional information on configuration
 options.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#source">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#FindBugs()">FindBugs</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality">FindBugs</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#extraArgs(java.lang.Iterable)">extraArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;arguments)</code>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality">FindBugs</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#extraArgs(java.lang.String...)">extraArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;arguments)</code>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getCandidateClassFiles()">getCandidateClassFiles</a></strong>()</code>
<div class="block">The classes to be analyzed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getClasses()">getClasses</a></strong>()</code>
<div class="block">The class directories to be analyzed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Compile class path for the classes to be analyzed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getEffort()">getEffort</a></strong>()</code>
<div class="block">The analysis effort level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getExcludeBugsFilter()">getExcludeBugsFilter</a></strong>()</code>
<div class="block">The filename of a filter specifying baseline bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getExcludeBugsFilterConfig()">getExcludeBugsFilterConfig</a></strong>()</code>
<div class="block">A filter specifying baseline bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getExcludeFilter()">getExcludeFilter</a></strong>()</code>
<div class="block">The filename of a filter specifying bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getExcludeFilterConfig()">getExcludeFilterConfig</a></strong>()</code>
<div class="block">A filter specifying bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getExtraArgs()">getExtraArgs</a></strong>()</code>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getFindbugsClasspath()">getFindbugsClasspath</a></strong>()</code>
<div class="block">Class path holding the FindBugs library.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getIgnoreFailures()">getIgnoreFailures</a></strong>()</code>
<div class="block">Whether to allow the build to continue if there are warnings.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getIncludeFilter()">getIncludeFilter</a></strong>()</code>
<div class="block">The filename of a filter specifying which bugs are reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getIncludeFilterConfig()">getIncludeFilterConfig</a></strong>()</code>
<div class="block">A filter specifying which bugs are reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getMaxHeapSize()">getMaxHeapSize</a></strong>()</code>
<div class="block">The maximum heap size for the forked findbugs process (ex: '1g').</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model">ObjectFactory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getObjectFactory()">getObjectFactory</a></strong>()</code>
<div class="block">Injects and returns an instance of <a href="../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model"><code>ObjectFactory</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getOmitVisitors()">getOmitVisitors</a></strong>()</code>
<div class="block">Similar to <code>visitors</code> except that it specifies bug detectors which should not be run.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getPluginClasspath()">getPluginClasspath</a></strong>()</code>
<div class="block">Class path holding any additional FindBugs plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getReportLevel()">getReportLevel</a></strong>()</code>
<div class="block">The priority threshold for reporting bugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getReports()">getReports</a></strong>()</code>
<div class="block">The reports to be generated by this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getShowProgress()">getShowProgress</a></strong>()</code>
<div class="block">Indicates whether analysis progress should be rendered on standard output.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getSource()">getSource</a></strong>()</code>
<div class="block">Returns the source for this task, after the include and exclude patterns have been applied.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getVisitors()">getVisitors</a></strong>()</code>
<div class="block">The bug detectors which should be run.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>org.gradle.process.internal.worker.WorkerProcessFactory</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#getWorkerProcessBuilderFactory()">getWorkerProcessBuilderFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#reports(org.gradle.api.Action)">reports</a></strong>(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&gt;&nbsp;configureAction)</code>
<div class="block">Configures the reports to be generated by this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#reports(groovy.lang.Closure)">reports</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Configures the reports to be generated by this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#run()">run</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setClasses(org.gradle.api.file.FileCollection)">setClasses</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classes)</code>
<div class="block">The class directories to be analyzed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setClasspath(org.gradle.api.file.FileCollection)">setClasspath</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</code>
<div class="block">Compile class path for the classes to be analyzed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setEffort(java.lang.String)">setEffort</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;effort)</code>
<div class="block">The analysis effort level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setExcludeBugsFilter(java.io.File)">setExcludeBugsFilter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</code>
<div class="block">The filename of a filter specifying baseline bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setExcludeBugsFilterConfig(org.gradle.api.resources.TextResource)">setExcludeBugsFilterConfig</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;excludeBugsFilterConfig)</code>
<div class="block">A filter specifying baseline bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setExcludeFilter(java.io.File)">setExcludeFilter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</code>
<div class="block">The filename of a filter specifying bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setExcludeFilterConfig(org.gradle.api.resources.TextResource)">setExcludeFilterConfig</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;excludeFilterConfig)</code>
<div class="block">A filter specifying bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setExtraArgs(java.util.Collection)">setExtraArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;extraArgs)</code>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setFindbugsClasspath(org.gradle.api.file.FileCollection)">setFindbugsClasspath</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;findbugsClasspath)</code>
<div class="block">Class path holding the FindBugs library.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setIgnoreFailures(boolean)">setIgnoreFailures</a></strong>(boolean&nbsp;ignoreFailures)</code>
<div class="block">Whether to allow the build to continue if there are warnings.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setIncludeFilter(java.io.File)">setIncludeFilter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</code>
<div class="block">The filename of a filter specifying which bugs are reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setIncludeFilterConfig(org.gradle.api.resources.TextResource)">setIncludeFilterConfig</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;includeFilterConfig)</code>
<div class="block">A filter specifying which bugs are reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setMaxHeapSize(java.lang.String)">setMaxHeapSize</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;maxHeapSize)</code>
<div class="block">The maximum heap size for the forked findbugs process (ex: '1g').</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setOmitVisitors(java.util.Collection)">setOmitVisitors</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;omitVisitors)</code>
<div class="block">Similar to <code>visitors</code> except that it specifies bug detectors which should not be run.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setPluginClasspath(org.gradle.api.file.FileCollection)">setPluginClasspath</a></strong>(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;pluginClasspath)</code>
<div class="block">Class path holding any additional FindBugs plugins.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setReportLevel(java.lang.String)">setReportLevel</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;reportLevel)</code>
<div class="block">The priority threshold for reporting bugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setShowProgress(boolean)">setShowProgress</a></strong>(boolean&nbsp;showProgress)</code>
<div class="block">Indicates whether analysis progress should be rendered on standard output.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html#setVisitors(java.util.Collection)">setVisitors</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;visitors)</code>
<div class="block">The bug detectors which should be run.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.SourceTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.tasks.<a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></h3>
<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(groovy.lang.Closure)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.Iterable)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(org.gradle.api.specs.Spec)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#exclude(java.lang.String...)">exclude</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getExcludes()">getExcludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getIncludes()">getIncludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#getPatternSetFactory()">getPatternSetFactory</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(groovy.lang.Closure)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.Iterable)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(org.gradle.api.specs.Spec)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#include(java.lang.String...)">include</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setExcludes(java.lang.Iterable)">setExcludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setIncludes(java.lang.Iterable)">setIncludes</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setSource(org.gradle.api.file.FileTree)">setSource</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#setSource(java.lang.Object)">setSource</a>, <a href="../../../../../org/gradle/api/tasks/SourceTask.html#source(java.lang.Object...)">source</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FindBugs()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FindBugs</h4>
<pre>public&nbsp;FindBugs()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getObjectFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectFactory</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
@Inject
public&nbsp;<a href="../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model">ObjectFactory</a>&nbsp;getObjectFactory()</pre>
<div class="block">Injects and returns an instance of <a href="../../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model"><code>ObjectFactory</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="getWorkerProcessBuilderFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorkerProcessBuilderFactory</h4>
<pre>@Inject
public&nbsp;org.gradle.process.internal.worker.WorkerProcessFactory&nbsp;getWorkerProcessBuilderFactory()</pre>
</li>
</ul>
<a name="getReports()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&nbsp;getReports()</pre>
<div class="block">The reports to be generated by this task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#getReports()">getReports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The reports container</dd></dl>
</li>
</ul>
<a name="reports(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&nbsp;reports(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Configures the reports to be generated by this task.

 The contained reports can be configured by name and closures. Example:

 <pre>
 findbugsTask {
   reports {
     xml {
       destination "build/findbugs.xml"
     }
   }
 }
 </pre></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(groovy.lang.Closure)">reports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>closure</code> - The configuration</dd>
<dt><span class="strong">Returns:</span></dt><dd>The reports container</dd></dl>
</li>
</ul>
<a name="reports(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reports</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&nbsp;reports(<a href="../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Configures the reports to be generated by this task.

 The contained reports can be configured by name and closures. Example:

 <pre>
 findbugsTask {
   reports {
     xml {
       destination "build/findbugs.xml"
     }
   }
 }
 </pre></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/reporting/Reporting.html#reports(org.gradle.api.Action)">reports</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/reporting/Reporting.html" title="interface in org.gradle.api.reporting">Reporting</a>&lt;<a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The configuration</dd>
<dt><span class="strong">Returns:</span></dt><dd>The reports container</dd></dl>
</li>
</ul>
<a name="getIncludeFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludeFilter</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getIncludeFilter()</pre>
<div class="block">The filename of a filter specifying which bugs are reported.</div>
</li>
</ul>
<a name="setIncludeFilter(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeFilter</h4>
<pre>public&nbsp;void&nbsp;setIncludeFilter(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</pre>
<div class="block">The filename of a filter specifying which bugs are reported.</div>
</li>
</ul>
<a name="getExcludeFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeFilter</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getExcludeFilter()</pre>
<div class="block">The filename of a filter specifying bugs to exclude from being reported.</div>
</li>
</ul>
<a name="setExcludeFilter(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeFilter</h4>
<pre>public&nbsp;void&nbsp;setExcludeFilter(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</pre>
<div class="block">The filename of a filter specifying bugs to exclude from being reported.</div>
</li>
</ul>
<a name="getExcludeBugsFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeBugsFilter</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getExcludeBugsFilter()</pre>
<div class="block">The filename of a filter specifying baseline bugs to exclude from being reported.</div>
</li>
</ul>
<a name="setExcludeBugsFilter(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeBugsFilter</h4>
<pre>public&nbsp;void&nbsp;setExcludeBugsFilter(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</pre>
<div class="block">The filename of a filter specifying baseline bugs to exclude from being reported.</div>
</li>
</ul>
<a name="run()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre>public&nbsp;void&nbsp;run()
         throws <a href="https://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/InterruptedException.html?is-external=true" title="class or interface in java.lang">InterruptedException</a></pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/InterruptedException.html?is-external=true" title="class or interface in java.lang">InterruptedException</a></code></dd></dl>
</li>
</ul>
<a name="extraArgs(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extraArgs</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality">FindBugs</a>&nbsp;extraArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;arguments)</pre>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs. <p> Extra arguments are passed to FindBugs after the arguments Gradle understands
 (like <code>effort</code> but before the list of classes to analyze. This should only be used for arguments that cannot be provided by Gradle directly. Gradle does not try to interpret or validate
 the arguments before passing them to FindBugs. <p> See the <a href="https://code.google.com/p/findbugs/source/browse/findbugs/src/java/edu/umd/cs/findbugs/TextUICommandLine.java">FindBugs
 TextUICommandLine source</a> for available options.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.6</dd></dl>
</li>
</ul>
<a name="extraArgs(java.lang.String...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extraArgs</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality">FindBugs</a>&nbsp;extraArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;arguments)</pre>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs. <p> Extra arguments are passed to FindBugs after the arguments Gradle understands
 (like <code>effort</code> but before the list of classes to analyze. This should only be used for arguments that cannot be provided by Gradle directly. Gradle does not try to interpret or validate
 the arguments before passing them to FindBugs. <p> See the <a href="https://code.google.com/p/findbugs/source/browse/findbugs/src/java/edu/umd/cs/findbugs/TextUICommandLine.java">FindBugs
 TextUICommandLine source</a> for available options.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.6</dd></dl>
</li>
</ul>
<a name="getSource()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSource</h4>
<pre><a href="../../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../../org/gradle/api/tasks/PathSensitivity.html#RELATIVE">RELATIVE</a>)
public&nbsp;<a href="../../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file">FileTree</a>&nbsp;getSource()</pre>
<div class="block">Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.</div>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/SourceTask.html#getSource()">getSource</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/gradle/api/tasks/SourceTask.html" title="class in org.gradle.api.tasks">SourceTask</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The source.</dd></dl>
</li>
</ul>
<a name="getCandidateClassFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCandidateClassFiles</h4>
<pre><a href="../../../../../org/gradle/api/tasks/SkipWhenEmpty.html" title="annotation in org.gradle.api.tasks">@SkipWhenEmpty</a>
<a href="../../../../../org/gradle/api/tasks/PathSensitive.html" title="annotation in org.gradle.api.tasks">@PathSensitive</a>(<a href="../../../../../org/gradle/api/tasks/PathSensitive.html#value()">value</a>=<a href="../../../../../org/gradle/api/tasks/PathSensitivity.html#RELATIVE">RELATIVE</a>)
<a href="../../../../../org/gradle/api/tasks/InputFiles.html" title="annotation in org.gradle.api.tasks">@InputFiles</a>
protected&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getCandidateClassFiles()</pre>
<div class="block">The classes to be analyzed.</div>
</li>
</ul>
<a name="getClasses()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasses</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClasses()</pre>
<div class="block">The class directories to be analyzed.</div>
</li>
</ul>
<a name="setClasses(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasses</h4>
<pre>public&nbsp;void&nbsp;setClasses(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classes)</pre>
<div class="block">The class directories to be analyzed.</div>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getClasspath()</pre>
<div class="block">Compile class path for the classes to be analyzed. The classes on this class path are used during analysis but aren't analyzed themselves.</div>
</li>
</ul>
<a name="setClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasspath</h4>
<pre>public&nbsp;void&nbsp;setClasspath(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;classpath)</pre>
<div class="block">Compile class path for the classes to be analyzed. The classes on this class path are used during analysis but aren't analyzed themselves.</div>
</li>
</ul>
<a name="getFindbugsClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFindbugsClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getFindbugsClasspath()</pre>
<div class="block">Class path holding the FindBugs library.</div>
</li>
</ul>
<a name="setFindbugsClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFindbugsClasspath</h4>
<pre>public&nbsp;void&nbsp;setFindbugsClasspath(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;findbugsClasspath)</pre>
<div class="block">Class path holding the FindBugs library.</div>
</li>
</ul>
<a name="getPluginClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPluginClasspath</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Classpath.html" title="annotation in org.gradle.api.tasks">@Classpath</a>
public&nbsp;<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getPluginClasspath()</pre>
<div class="block">Class path holding any additional FindBugs plugins.</div>
</li>
</ul>
<a name="setPluginClasspath(org.gradle.api.file.FileCollection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPluginClasspath</h4>
<pre>public&nbsp;void&nbsp;setPluginClasspath(<a href="../../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;pluginClasspath)</pre>
<div class="block">Class path holding any additional FindBugs plugins.</div>
</li>
</ul>
<a name="getIgnoreFailures()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIgnoreFailures</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;getIgnoreFailures()</pre>
<div class="block">Whether to allow the build to continue if there are warnings.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/VerificationTask.html#getIgnoreFailures()">getIgnoreFailures</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks">VerificationTask</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>false, when the build should break on failure, true when the failures should be ignored.</dd></dl>
</li>
</ul>
<a name="setIgnoreFailures(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIgnoreFailures</h4>
<pre>public&nbsp;void&nbsp;setIgnoreFailures(boolean&nbsp;ignoreFailures)</pre>
<div class="block">Whether to allow the build to continue if there are warnings.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/api/tasks/VerificationTask.html#setIgnoreFailures(boolean)">setIgnoreFailures</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/api/tasks/VerificationTask.html" title="interface in org.gradle.api.tasks">VerificationTask</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>ignoreFailures</code> - false to break the build on failure, true to ignore the failures. The default is false.</dd></dl>
</li>
</ul>
<a name="getEffort()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEffort</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEffort()</pre>
<div class="block">The analysis effort level. The value specified should be one of <code>min</code>, <code>default</code>, or <code>max</code>. Higher levels increase precision and find more bugs at the expense of running time
 and memory consumption.</div>
</li>
</ul>
<a name="setEffort(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEffort</h4>
<pre>public&nbsp;void&nbsp;setEffort(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;effort)</pre>
<div class="block">The analysis effort level. The value specified should be one of <code>min</code>, <code>default</code>, or <code>max</code>. Higher levels increase precision and find more bugs at the expense of running time
 and memory consumption.</div>
</li>
</ul>
<a name="getReportLevel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReportLevel</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getReportLevel()</pre>
<div class="block">The priority threshold for reporting bugs. If set to <code>low</code>, all bugs are reported. If set to <code>medium</code> (the default), medium and high priority bugs are reported. If set to <code>high</code>, only high priority bugs are reported.</div>
</li>
</ul>
<a name="setReportLevel(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReportLevel</h4>
<pre>public&nbsp;void&nbsp;setReportLevel(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;reportLevel)</pre>
<div class="block">The priority threshold for reporting bugs. If set to <code>low</code>, all bugs are reported. If set to <code>medium</code> (the default), medium and high priority bugs are reported. If set to <code>high</code>, only high priority bugs are reported.</div>
</li>
</ul>
<a name="getMaxHeapSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxHeapSize</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMaxHeapSize()</pre>
<div class="block">The maximum heap size for the forked findbugs process (ex: '1g').</div>
</li>
</ul>
<a name="setMaxHeapSize(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMaxHeapSize</h4>
<pre>public&nbsp;void&nbsp;setMaxHeapSize(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;maxHeapSize)</pre>
<div class="block">The maximum heap size for the forked findbugs process (ex: '1g').</div>
</li>
</ul>
<a name="getVisitors()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVisitors</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getVisitors()</pre>
<div class="block">The bug detectors which should be run. The bug detectors are specified by their class names, without any package qualification. By default, all detectors which are not disabled by default are
 run.</div>
</li>
</ul>
<a name="setVisitors(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVisitors</h4>
<pre>public&nbsp;void&nbsp;setVisitors(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;visitors)</pre>
<div class="block">The bug detectors which should be run. The bug detectors are specified by their class names, without any package qualification. By default, all detectors which are not disabled by default are
 run.</div>
</li>
</ul>
<a name="getOmitVisitors()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOmitVisitors</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getOmitVisitors()</pre>
<div class="block">Similar to <code>visitors</code> except that it specifies bug detectors which should not be run. By default, no visitors are omitted.</div>
</li>
</ul>
<a name="setOmitVisitors(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOmitVisitors</h4>
<pre>public&nbsp;void&nbsp;setOmitVisitors(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;omitVisitors)</pre>
<div class="block">Similar to <code>visitors</code> except that it specifies bug detectors which should not be run. By default, no visitors are omitted.</div>
</li>
</ul>
<a name="getIncludeFilterConfig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludeFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getIncludeFilterConfig()</pre>
<div class="block">A filter specifying which bugs are reported. Replaces the <code>includeFilter</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="setIncludeFilterConfig(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setIncludeFilterConfig(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;includeFilterConfig)</pre>
<div class="block">A filter specifying which bugs are reported. Replaces the <code>includeFilter</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="getExcludeFilterConfig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getExcludeFilterConfig()</pre>
<div class="block">A filter specifying bugs to exclude from being reported. Replaces the <code>excludeFilter</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="setExcludeFilterConfig(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setExcludeFilterConfig(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;excludeFilterConfig)</pre>
<div class="block">A filter specifying bugs to exclude from being reported. Replaces the <code>excludeFilter</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="getExcludeBugsFilterConfig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeBugsFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getExcludeBugsFilterConfig()</pre>
<div class="block">A filter specifying baseline bugs to exclude from being reported.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.4</dd></dl>
</li>
</ul>
<a name="setExcludeBugsFilterConfig(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeBugsFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setExcludeBugsFilterConfig(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;excludeBugsFilterConfig)</pre>
<div class="block">A filter specifying baseline bugs to exclude from being reported.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.4</dd></dl>
</li>
</ul>
<a name="getExtraArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtraArgs</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExtraArgs()</pre>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs. <p> Extra arguments are passed to FindBugs after the arguments Gradle understands
 (like <code>effort</code> but before the list of classes to analyze. This should only be used for arguments that cannot be provided by Gradle directly. Gradle does not try to interpret or validate
 the arguments before passing them to FindBugs. <p> See the <a href="https://code.google.com/p/findbugs/source/browse/findbugs/src/java/edu/umd/cs/findbugs/TextUICommandLine.java">FindBugs
 TextUICommandLine source</a> for available options.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.6</dd></dl>
</li>
</ul>
<a name="setExtraArgs(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExtraArgs</h4>
<pre>public&nbsp;void&nbsp;setExtraArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;extraArgs)</pre>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs. <p> Extra arguments are passed to FindBugs after the arguments Gradle understands
 (like <code>effort</code> but before the list of classes to analyze. This should only be used for arguments that cannot be provided by Gradle directly. Gradle does not try to interpret or validate
 the arguments before passing them to FindBugs. <p> See the <a href="https://code.google.com/p/findbugs/source/browse/findbugs/src/java/edu/umd/cs/findbugs/TextUICommandLine.java">FindBugs
 TextUICommandLine source</a> for available options.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.6</dd></dl>
</li>
</ul>
<a name="getShowProgress()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShowProgress</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
public&nbsp;boolean&nbsp;getShowProgress()</pre>
<div class="block">Indicates whether analysis progress should be rendered on standard output. Defaults to false.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="setShowProgress(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setShowProgress</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setShowProgress(boolean&nbsp;showProgress)</pre>
<div class="block">Indicates whether analysis progress should be rendered on standard output.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/FindBugs.html" target="_top">Frames</a></li>
<li><a href="FindBugs.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.gradle.api.tasks.SourceTask">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
